#{extends 'border.html'/}
<div class="container">
#{form @katalog.PermohonanPembaruanCtr.formPenyediaSubmit(), method:'POST', class:'form-horizontal save', enctype:'multipart/form-data'}
    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                <li class="active">&{'form_permohonan.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
                #{backButton action:@katalog.PermohonanPembaruanCtr.index()/}
                #{if showButtonSimpan }
                    #{saveButton/}
                #{/if}
                #{if showButtonKirim }
                    <a id="btn_kirim" href="#" class="btn btn-warning btn-sm"><i class="fa fa-paper-plane"></i> &{'kirim_permohonan.label'}</a>
                #{/if}
            </div>
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="col-md-12">
            #{alert/}
            <div class="panel panel-default">
                <div class="panel-body">
                    <input type="hidden" name="penyedia.id" value="${penyedia?.id}">
                    <input type="hidden" name="permid" value="${permohonanPembaruan.id}">
                    <input type="hidden" name="permohonanPenyedia.user_id" value="${penyedia?.user_id}">
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'nama_penyedia.label'}</label>
                        <div class="col-md-5">
                            <input type="text" name="permohonanPenyedia.nama_penyedia" value="${penyedia?.nama_penyedia}" class="form-control alphanumeric" maxlength="100" required>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'alamat.label'}</label>
                        <div class="col-md-5">
                            <textarea name="permohonanPenyedia.alamat" class="form-control" required>${penyedia?.alamat}</textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'kode_pos.label'}</label>
                        <div class="col-md-5">
                            <input type="text" name="permohonanPenyedia.kode_pos" value="${penyedia?.kode_pos}" class="form-control">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'nomor_telp.label'}</label>
                        <div class="col-md-5">
                            <input type="text" name="permohonanPenyedia.no_telp" value="${penyedia?.no_telp}" class="form-control phone">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'nomor_fax.label'}</label>
                        <div class="col-md-5">
                            <input type="text" name="permohonanPenyedia.no_fax" value="${penyedia?.no_fax}" class="form-control phone">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'nomor_selular.label'}</label>
                        <div class="col-md-5">
                            <input type="text" name="permohonanPenyedia.no_hp" value="${penyedia?.no_hp}" class="form-control phone">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'npwp.label'}</label>
                        <div class="col-md-5">
                            <input type="text" id="npwpSatker" name="permohonanPenyedia.npwp" value="${penyedia?.npwp}" class="form-control">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'email.label'}</label>
                        <div class="col-md-5">
                            <input type="text" name="permohonanPenyedia.email" value="${penyedia?.email}" class="form-control email">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'nomor_pengukuhan_pkp.label'}</label>
                        <div class="col-md-5">
                            <input type="text" name="permohonanPenyedia.pkp" value="${penyedia?.pkp}" class="form-control">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'situs_web.label'}</label>
                        <div class="col-md-5">
                            <input type="text" name="permohonanPenyedia.website" value="${penyedia?.website}" class="form-control">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
#{/form}
</div>

#{validationPackage/}
#{set 'moreScripts'}
<script type="text/javascript" src="@{'public/javascripts/jquery.maskedinput.min.js'}"></script>
<script type="text/javascript">
    $(document).ready(function(){
        $('.form-horizontal').validate({
            highlight: function(element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });

        $("#npwpSatker").mask("99.999.999.9–999.999");

        $("#btn_kirim").on("click", function (e) {
            e.preventDefault();

            var msg = "&{'warning_kirim_permohonan.label'}";
            var conf = confirm(msg);
            var href = "@{katalog.PermohonanPembaruanCtr.mintaPersetujuanSubmit(permohonanPembaruan?.id)}";
            if (conf == true) {
                window.location.href = href;
                //$("#btnKirim").click();
            }
        });
    });
</script>
#{/set}